#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define app_name lhttpc

Name:           erlang-%{app_name}
Version:        1.3.0+git1394140540.5e459ec
Release:        1.261
%define app_ver %(echo "%{version}" | cut -d "+" -f1)
License:        BSD-3-Clause
Summary:        A lightweight HTTP/1.1 client implemented in Erlang
Url:            http://github.com/esl/lhttpc
Group:          Development/Libraries/Other
Source:         %{app_name}-%{version}.tar.bz2
Patch:          lhttpc-fix-encoding-issue.patch
Requires:       erlang
BuildRequires:  erlang erlang-rebar
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
lhttpc is a lightweight HTTP/1.1 client implemented in Erlang.

%prep
%setup -q -n %{app_name}-%{version}
%patch -p1

%build
%rebar compile

%install
for dir in ebin include ; do
  mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}
  cp -r ${dir}/* %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}/
done

%check
#rebar eunit

%files
%defattr(-,root,root)
%doc README CHANGELOG LICENCE doc/* TODO
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/include
%{erlang_libdir}/%{app_name}-%{app_ver}/include/*.hrl

%changelog
* Mon Jul  7 2014 mrueckert@suse.de
- use the correct license: BSD-3-Clause
* Sat Jul  5 2014 mrueckert@suse.de
- added lhttpc-fix-encoding-issue.patch:
  the encoding of the author name seems to be invalid UTF-8
  just replace it with plain ascii for now.
* Sat Jul  5 2014 mrueckert@suse.de
- cleanup
  - added proper description and summary
  - install documentation
  - use the timestamp from the last git commit
* Fri Jul  4 2014 mrueckert@suse.de
- initial package
